# Created by pyp2rpm-1.0.0
%define pypi_name py

%bcond_with doc

Name:           python-py
Version:        1.11.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Library with cross-python path, ini-parsing, io, code, log facilities
License:        MIT
URL:            https://pypi.python.org/pypi/py
Source0:        https://pypi.io/packages/source/p/py/py-%{version}.tar.xz
BuildArch:      noarch

%description
The py lib is a Python development support library featuring the
following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg: explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

%package -n python3-py
Summary:        Python 3 library with cross-python path, ini-parsing, io, code, log facilities
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
%if %{with doc}
BuildRequires:  python3-sphinx
%endif
%{?python_provide:%python_provide python3-py}

%description -n python3-py
The py lib is a Python development support library featuring the
following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg: explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

%prep
%setup -q -n py-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# remove shebangs and fix permissions
find -type f -a \( -name '*.py' -o -name 'py.*' \) \
   -exec sed -i '1{/^#!/d}' {} \; \
   -exec chmod u=rw,go=r {} \;

%build
%py3_build

%if %{with doc}
# docs
make -C doc html PYTHONPATH=$(pwd)
# remove hidden file
rm -rf doc/_build/html/.buildinfo
%endif

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-py
%doc README.rst
%if %{with doc}
%doc doc/_build/html
%endif
%doc LICENSE
%{python3_sitelib}/*


%changelog
* Tue Aug 09 2022 TerryN <terryn94 at gmail.com> 1.11.0-1pclos2022
- update and rebuild for python 3.10

* Fri Jan 31 2020 tex - 1.8.1-1pclos2020
- update
